请教,关于jre的环境变量配置

C、C++和Java语言
回复
头像
notebookarno
帖子: 30
注册时间: 2011-09-13 10:14
系统: ubuntu 12.04
来自: 深圳
送出感谢: 1 次
接收感谢: 0

请教,关于jre的环境变量配置

#1

帖子 notebookarno » 2013-03-17 11:37

在oracle上下的jdk1.6,手动配置环境变量,配置如下:

代码: 全选

# JAVA environment
export JAVA_HOME=/opt/java/jdk1.6.0_43
export PATH=$JAVA_HOME/bin:$JAVA_HOME/jre/bin:$PATH
export CLASSPATH=.:$JAVA_HOME/lib:$JAVA_HOME/jre/lib:$CLASSPATH
用java/javac/java -version都提示正常,但是安装用java开发的程序时,还是会提示

代码: 全选

(正在读取数据库 ... 系统当前共安装有 140431 个文件和目录。)
正预备替换 nixnote 1.5 (使用 nixnote-1.5_amd64.deb) ...
正在解压缩将用于更替的包文件 nixnote ...
dpkg: dependency problems prevent configuration of nixnote:
 nixnote 依赖于 openjdk-6-jre | openjdk-6-jdk | sun-java6-jdk | sun-java6-jre | java6-sdk | java6-runtime | default-jre;然而:
  未安装软件包 openjdk-6-jre。
  未安装软件包 openjdk-6-jdk。
  未安装软件包 sun-java6-jdk。
  未安装软件包 sun-java6-jre。
  未安装软件包 java6-sdk。
  未安装软件包 java6-runtime。
  未安装软件包 default-jre。
 nixnote 依赖于 libssl0.9.8;然而:
  未安装软件包 libssl0.9.8。

dpkg: error processing nixnote (--install):
 依赖关系问题 - 仍未被配置
正在处理用于 man-db 的触发器...
在处理时有错误发生:
 nixnote
请问ubuntu里面jre的运行环境配置是不是还得在哪里配一下,让系统自动识别jre环境?
相视一笑,莫逆于言
头像
eexpress
帖子: 58428
注册时间: 2005-08-14 21:55
来自: 长沙
送出感谢: 4 次
接收感谢: 256 次

Re: 请教,关于jre的环境变量配置

#2

帖子 eexpress » 2013-03-17 14:33

在oracle上下的jdk1.6
那自己看官网是说明罗。

源里面安装的,就会不需要设置。
● 鸣学
头像
notebookarno
帖子: 30
注册时间: 2011-09-13 10:14
系统: ubuntu 12.04
来自: 深圳
送出感谢: 1 次
接收感谢: 0

Re: 请教,关于jre的环境变量配置

#3

帖子 notebookarno » 2013-03-17 15:00

eexpress 写了:
在oracle上下的jdk1.6
那自己看官网是说明罗。

源里面安装的,就会不需要设置。
在网上找了好多,说配置jdk环境变量差不多都是这样配置,我也加了以下配置:

代码: 全选

sudo update-alternatives --install /usr/bin/java java /opt/java/jdk1.6.0_43/bin/java 300
sudo update-alternatives --install /usr/bin/javac javac /opt/java/jdk1.6.0_43/bin/javac 300
sudo update-alternatives --install /usr/bin/javaws javaws /opt/java/jdk1.6.0_43/bin/javaws 300
可是安装的时候,还是会出现以上错误,提示依赖没有配置,但是直接运行nixnote确实可以正常启动的,不想让系统自动解决依赖,又重新下载jdk,求解,有无其他方法? 从源里安装jdk还会进行哪些配置吗?
相视一笑,莫逆于言
头像
notebookarno
帖子: 30
注册时间: 2011-09-13 10:14
系统: ubuntu 12.04
来自: 深圳
送出感谢: 1 次
接收感谢: 0

Re: 请教,关于jre的环境变量配置

#4

帖子 notebookarno » 2014-05-14 22:20

终于找到解决方法了,解压deb包,打开里面的control文件,发现里面的依赖配置如下:

代码: 全选

Installed-Size: 102756
Depends: libgtk2.0-0 (>= 2.8.0), openjdk-6-jre | oracle-java6-jre | sun-java6-jre | sun-java5-jre
可能是读取系统环境变量看有没有这些openjdk-6-jre(这里属猜测)
由于系统自己有配置jdk,这里也没必要检查这些依赖,直接删除掉这些依赖,然后重新打包deb包,安装就不会提示没有依赖了,直接安装成功! :em11
石头子
帖子: 1
注册时间: 2015-01-03 10:54
系统: Debian
送出感谢: 0
接收感谢: 0

Re: 请教,关于jre的环境变量配置

#5

帖子 石头子 » 2015-01-03 11:00

於 Debian Wheezy 使用 APT 安裝 Percona MySQL Server

由以上問題, 所以要於 Debian 使用 APT 安裝 Percona MySQL 的方法如下述:

先安裝 libssl0.9.8.
vim /etc/apt/sources.list # 增加下述
deb http://ftp.de.debian.org/debian squeeze main

apt-get update
sudo apt-get install libssl0.9.8 # 指定要安裝 0.9.8
再來安裝 Percona MySQL Server
下述參考自: Percona apt Repository
$ gpg --keyserver hkp://keys.gnupg.net --recv-keys 1C4CBDCDCD2EFD2A
$ gpg -a --export CD2EFD2A | sudo apt-key add -
vim /etc/apt/sources.list # 增加下述 (或者 vim /etc/apt/sources.list.d/percona.list)
deb http://repo.percona.com/apt squeeze main
deb-src http://repo.percona.com/apt squeeze main

apt-get update
apt-get install percona-server-server # 到此就安裝完成囉~

借助上面的方法我解决了,找不到openssl 0.9.8 的问题。
原帖是:http://blog.longwin.com.tw/2013/05/debi ... ysql-2013/
回复

回到 “C/C++/Java”